#!/bin/sh

[ -d network-manager-applet-1.8.20 ] && rm -rf network-manager-applet-1.8.20
tar -xf network-manager-applet_1.8.20.orig.tar.xz
sync
cd network-manager-applet-1.8.20

patch -p1 < ../patches/00-Allow-creation-of-connections-without-admin-privileges.patch
patch -p1 < ../patches/01-Force-online-state-with-unmanaged-devices.patch
patch -p1 < ../patches/02-Fix-double-free-crashing-in-wifi-dialog.patch

patch -p1 < ../patches/03-BK-external-trigger-menu.patch
patch -p1 < ../patches/04-BK-replacement-icons-part1.patch
patch -p1 < ../patches/05-BK-replacement-icons-part2.patch

echo -n "ENTER to continue:"
read keepgoing

./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc --build=x86_64-pc-linux-gnu --with-gcr --without-selinux --with-appindicator=no --enable-introspection=no --enable-gtk-doc-html=no --without-wwan

echo -n "ENTER to continue:"
read keepgoing

make
[ $? -ne 0 ] && exit
make install
sync
